using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Library
{
    public partial class FormBook_Add : Form
    {
        DataAccess da = new DataAccess();
        public FormBook_Add()
        {
            InitializeComponent();
        }

        private void btncancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnok_Click(object sender, EventArgs e)
        {
            if (txtname.Text == "")
            {
                MessageBox.Show("لطفا فیلد نام کتاب را پر نمائید");
                return;
            }
            if (txtauthor.Text == "")
            {
                MessageBox.Show("لطفا فیلد نام نویسنده را پر نمائید");
                return;
            }
            if (txtcount.Text == "")
            {
                MessageBox.Show("لطفا فیلد تعداد کتاب را پر نمائید");
                return;
            }
            da.Connect();
            try
            {
                
                string sql = "insert into book (bname,bauthor,btranslate,isfarsi,bcount,catid_fk)";
                sql += "values(N'{0}',N'{1}',N'{2}',{3},{4},{5})";
                sql = string.Format(sql, txtname.Text, txtauthor.Text, txttranslate.Text, Convert.ToInt32(checkBox1.Checked),
                                     Int32.Parse(txtcount.Text), Int32.Parse(comboBox1.SelectedValue.ToString()));
                da.DoCommand(sql);                
                this.Close();
            }
            catch(Exception ex)
            {
                MessageBox.Show("لطففا مقادیر را چک نمائید");
            }
            da.DisConnect();
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            if (!checkBox1.Checked)
                panel1.Visible = true;
            else
                panel1.Visible = false;
        }

        private void FormBook_Add_Load(object sender, EventArgs e)
        {
            da.Connect();
            DataTable dt = new DataTable();
            dt = da.Select("select * from category");
            comboBox1.DisplayMember = "catname";
            comboBox1.ValueMember = "catid";
            comboBox1.DataSource = dt;
            da.DisConnect();
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
            if (txtname.Text == "")
            {
                MessageBox.Show("لطفا فیلد نام کتاب را پر نمائید");
                return;
            }
            if (txtauthor.Text == "")
            {
                MessageBox.Show("لطفا فیلد نام نویسنده را پر نمائید");
                return;
            }
            if (txtcount.Text == "")
            {
                MessageBox.Show("لطفا فیلد تعداد کتاب را پر نمائید");
                return;
            }
            da.Connect();
            try
            {
                
                string sql = "insert into book (bname,bauthor,btranslate,isfarsi,bcount,catid_fk)";
                sql += "values(N'{0}',N'{1}',N'{2}',{3},{4},{5})";
                sql = string.Format(sql, txtname.Text, txtauthor.Text, txttranslate.Text, Convert.ToInt32(checkBox1.Checked),
                                     Int32.Parse(txtcount.Text), Int32.Parse(comboBox1.SelectedValue.ToString()));
                da.DoCommand(sql);                
                this.Close();
            }
            catch(Exception ex)
            {
                MessageBox.Show("لطففا مقادیر را چک نمائید");
            }
            da.DisConnect();
        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
        this.Close();
        }

        private void groupPanel1_Click(object sender, EventArgs e)
        {
        
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
        
        }

        private void label5_Click(object sender, EventArgs e)
        {
        
        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {
        
        }

        private void label4_Click(object sender, EventArgs e)
        {
        
        }

        private void label2_Click(object sender, EventArgs e)
        {
        
        }

        private void label1_Click(object sender, EventArgs e)
        {
        
        }

        private void txtcount_TextChanged(object sender, EventArgs e)
        {
        
        }

        private void checkBox1_CheckedChanged_1(object sender, EventArgs e)
        {
        
        }

        private void txtauthor_TextChanged(object sender, EventArgs e)
        {
        
        }

        private void txtname_TextChanged(object sender, EventArgs e)
        {
        
        }

        private void label6_Click(object sender, EventArgs e)
        {
        
        }

        private void buttonX1_Click_1(object sender, EventArgs e)
        {
        this.Close();
        }
        }
    }

